Subject: man-pages-1.3.tar.gz available
From: Rik Faith <[email-masked]>
Date: 6 Jul 1994 21:16:05 GMT
Newsgroups: comp.os.linux.announce

[Note: This is an interim release which contains bug fixes applied by Jens
Schweikhardt.  I still have a list of changes that need to be made, but I
wanted to get this corrected version out asap. -- Rik Faith]

The Linux Documentation Project proudly announces. . .

    man-pages-1.3.tar.gz - section 2, 3, 4, 5, 7, and 9 man pages for Linux

Differences from version 1.2:
    Lots of bugs fixed by Jens Schweikhardt (The Typo Terminator):
        man3/fget3.c  renamed to man3/fgetc.3
        Fixed some .so problems (getnetbyname and friends)
        About a dozen cases of word doubling corrected
        About half a dozen semantic typos corrected
        Ran all files through ispell and corrected >200 spelling typos
        (If you ever write a man page, use ispell, I mean it!)
        Explicitly tested all files whether they run through groff
        Hard linked identical files (the ones with just .so foo/bar.1) thus
        saving 115 disk blocks and 115 inodes.

Differences from version 1.0:
    Thanks to Giorgio Ciucci for the following *NEW* man pages:
        msgctl.2        msgrcv.2        semget.2        shmdt.2
        msgget.2        msgsnd.2        semop.2         ipc.5
        msgop.2         semctl.2        shmat.2         ftok.3
    and for updates to shmctl.2, shmget.2, and shmop.2.

    Michael Haardt pointed out that some general formatting problems needed
    fixing:
            Multi-word arguments to .SH are now in quotes
            Many instances of - (hyphen) were changed to \- (minus)
            Several instances of \- (minus) were changed to \(em (dash)

    shells.5 updated (thanks to Michael Haardt)
    gethostid.2 updated (thanks for Mitchum DSouza)
    Minor updates to write.2, man.7, and a few other man pages.
    Fully converted BSD man pages for:
        all of the stdio functions (includes printf and scanf)
        alloca, popen, stdarg, and exec

Here is a breakdown of what this distribution contains:

Section 1 = user commands (intro only)
Section 2 = system calls
Section 3 = libc calls
Section 4 = devices (e.g., hd, sd)
Section 5 = file formats (e.g., wtmp, /etc/passwd)
Section 6 = games (intro only)
Section 7 = macro packages, etc. (e.g., nroff, ascii)
Section 8 = system administration (intro only)
Section 9 = internal kernel routines (for kernel hackers)

(There are no section 1, 6 and 8 man pages because these should be
distributed with the binaries they are written for.)

Note that only Section 2 is really complete, but Section 3 contains several
hundred man pages.  I have included all completed man pages in this
distribution to give people an idea of what is available.  If you want to
write some man pages, please join the linux-activists DOC channel.

To install this distribution, do something like:

    cd /usr/man; zcat man-pages-1.3.tar.gz | tar xvpf -

I would like to thank the following people (in alphabetical order by first
name) who wrote, edited, or otherwise contributed to this project:

Alan Cox
Dan Miner
Darren Senn
David Metcalfe
Drew Eckhardt
Giorgio Ciucci
Ian Jackson
Jens Schweikhardt
Luigi P. Bai
Michael Haardt
Mitchum DSouza
Thomas Koenig

Begin2
Title        = Section 2, 3, 4, 5, 7, and 9 man pages for Linux
Version      = 1.3
Desc1        = Man pages for Linux.  Mostly section 2 is complete.  Section
Desc2        = 3 has over 200 man pages, but it still far from being finished.
Author       = Linux Documentation Project
AuthorEmail  = DOC channel
Maintainer   = Rik Faith
MaintEmail   = [email-masked]
Site1        = ftp.cs.unc.edu
Path1        = /pub/faith/linux
File1        = man-pages-1.3.tar.gz
FileSize1    = 170k
Site2        = sunsite.unc.edu
Path2        = /pub/Linux/?
Site3        = tsx-11.mit.edu
Path3        = /pub/linux/docs/LDP
CopyPolicy1  = GPL, Public Domain, or otherwise freely copyable
Keywords     = man pages
Entered      = Mon Jun 19 16:23:35 1994
EnteredBy    = Rik Faith
CheckedEmail = [email-masked]
End

--
Mail submissions for comp.os.linux.announce to: [email-masked]
PLEASE remember Keywords: and a short description of the software.